## org.apache.batik.apps.svgbrowser
Class JSVGViewerFrame.ImageFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          org.apache.batik.apps.svgbrowser.JSVGViewerFrame.ImageFileFilter

Enclosing class:
  JSVGViewerFrame

    protected static class JSVGViewerFrame.ImageFileFilter

extends javax.swing.filechooser.FileFilter

A FileFilter used when exporting the SVG document as an image.

Field Summary
`protected java.lang.String` `extension` The extension of the image filename.

Constructor Summary
`JSVGViewerFrame.ImageFileFilter(java.lang.String extension)`

Method Summary
`boolean` `accept(java.io.File f)` Returns true if `f` is a file with the correct extension, false otherwise.
`java.lang.String` `getDescription()` Returns the file description

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extension

    protected java.lang.String extension

  The extension of the image filename.

Constructor Detail

### JSVGViewerFrame.ImageFileFilter

    public JSVGViewerFrame.ImageFileFilter(java.lang.String extension)

Method Detail

### accept

    public boolean accept(java.io.File f)

  Returns true if `f` is a file with the correct extension, false otherwise.

  Specified by:
    `accept` in class `javax.swing.filechooser.FileFilter`

### getDescription

    public java.lang.String getDescription()

  Returns the file description

  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.